Skip to main content
POST
/
api
/
public
/
v1
/
promotions
/
create
Create promotion
curl --request POST \
  --url https://app.tagadapay.com/api/public/v1/promotions/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "storeId": "store_123",
  "name": "Summer Sale 20% Off",
  "code": "SUMMER20",
  "automatic": false,
  "enabled": true,
  "usageLimit": 100,
  "startDate": "2025-06-01T00:00:00.000Z",
  "endDate": "2025-08-31T23:59:59.000Z",
  "ruleOperator": "AND",
  "combinesWithOrderLevelDiscounts": false,
  "combinesWithLineItemDiscounts": false,
  "combinesWithShippingDiscounts": false,
  "forceCombine": false,
  "rules": [],
  "actions": []
}
'
{
  "id": "promo_123",
  "name": "Summer Sale 20% Off",
  "code": "SUMMER20",
  "enabled": true
}

Authorizations

Authorization
string
header
required

Enter your API key as: Bearer your-api-key

Body

application/json
storeId
string
required
Minimum string length: 1
name
string
required
Minimum string length: 1
code
string | null
automatic
boolean
default:false
usageLimit
integer | null
Required range: x > 0
startDate
string<date-time> | null
endDate
string<date-time> | null
enabled
boolean
default:true
ruleOperator
enum<string>
default:OR
Available options:
AND,
OR
combinesWithOrderLevelDiscounts
boolean
default:false
combinesWithLineItemDiscounts
boolean
default:false
combinesWithShippingDiscounts
boolean
default:false
forceCombine
boolean
default:false
rules
object[]
actions
object[]

Response

Successful response